package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.AttReaBase;

/** 河道信息 Service */
public interface ReachService {
    /**
     * 查询河道信息列表
     * 
     * @param attReaBase 查询条件
     * @return 河道信息列表
     */
    public List<AttReaBase> selectAttReaBaseList(AttReaBase attReaBase);

    /**
     * 通过河道编码查询河道信息
     * 
     * @param reaCode 河道编码
     * @return 河道信息
     */
    public AttReaBase selectAttReaBaseById(String reaCode);

    /**
     * 批量删除河道信息
     * 
     * @param reaCodes 河道编码数组
     * @return 删除行数
     */
    public int deleteAttReaBaseByIds(String[] reaCodes);

    /**
     * 新增河道信息
     * 
     * @param attReaBase 河道信息
     * @return 插入行数
     */
    public int insertAttReaBase(AttReaBase attReaBase);

    /**
     * 修改河道信息
     * 
     * @param attReaBase 河道信息
     * @return 更新行数
     */
    public int updateAttReaBase(AttReaBase attReaBase);
}
